#78 PDL::LinearAlgebra - experiment with doc at metacpan.org

None
closed
kmx
None
5
2015-02-05
2014-05-21
kmx
No

Hi Chris,

if you have some time for an experiment please try to:
- apply enclosed patch
- run make dist and create a distribution with devel release
- upload this deve release to cpan
- after that you can revert the changes

I only want to check how will metacpan.org and search.cpan.org parse the documentation for this module.

Of course this idea has a very little added value so if you are busy just leave it.

--
kmx

Related

Patches: #78

Discussion

  •  kmx

    kmx - 2014-05-21

    I forgot the patch

     
    Attachments
    • Chris Marshall

      Chris Marshall - 2014-05-23

      Will do this weekend, swamped. --Chris

      On Wed, May 21, 2014 at 7:04 PM, kmx kmx1@users.sf.net wrote:

      I forgot the patch

      Attachment: makefile.patch (885 Bytes; text/x-patch)

      Status: open
      Group:
      Created: Wed May 21, 2014 10:42 PM UTC by kmx
      Last Updated: Wed May 21, 2014 10:42 PM UTC
      Owner: nobody

      Hi Chris,

      if you have some time for an experiment please try to:
      - apply enclosed patch
      - run make dist and create a distribution with devel release
      - upload this deve release to cpan
      - after that you can revert the changes

      I only want to check how will metacpan.org and search.cpan.org parse the
      documentation for this module.

      Of course this idea has a very little added value so if you are busy just
      leave it.

      --
      kmx


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/pdl/patches/78/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #78

      • Chris Marshall

        Chris Marshall - 2014-05-29

        kmx-

        Just pushed 0.08_02 to PAUSE. Sorry for the delay. Let me know how it
        works out.

        --Chris

        On Fri, May 23, 2014 at 8:58 AM, Chris Marshall marshallch@users.sf.net
        wrote:

        Will do this weekend, swamped. --Chris

        On Wed, May 21, 2014 at 7:04 PM, kmx kmx1@users.sf.net wrote:

        I forgot the patch
        Attachment: makefile.patch (885 Bytes; text/x-patch)

        PDL::LinearAlgebra - experiment with doc at metacpan.org
        http://metacpan.org*

        Status: open
        Group:
        Created: Wed May 21, 2014 10:42 PM UTC by kmx
        Last Updated: Wed May 21, 2014 10:42 PM UTC
        Owner: nobody

        Hi Chris,

        if you have some time for an experiment please try to:
        - apply enclosed patch
        - run make dist and create a distribution with devel release
        - upload this deve release to cpan
        - after that you can revert the changes

        I only want to check how will metacpan.org and search.cpan.org parse the
        documentation for this module.

        Of course this idea has a very little added value so if you are busy just
        leave it.

        --
        kmx


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/pdl/patches/78/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/


        Status: open
        Group:
        Created: Wed May 21, 2014 10:42 PM UTC by kmx
        Last Updated: Wed May 21, 2014 11:04 PM UTC
        Owner: nobody

        Hi Chris,

        if you have some time for an experiment please try to:
        - apply enclosed patch
        - run make dist and create a distribution with devel release
        - upload this deve release to cpan
        - after that you can revert the changes

        I only want to check how will metacpan.org and search.cpan.org parse the
        documentation for this module.

        Of course this idea has a very little added value so if you are busy just
        leave it.

        --
        kmx


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/pdl/patches/78/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Patches: #78

  •  kmx

    kmx - 2014-09-19

    Ping. Could you please apply makefile-v2.patch before the next dev release?

    The same style I use in my https://metacpan.org/pod/PDL::Finance::TA and it seems to work nice with metacpan.org and search.cpan.org

     
  •  kmx

    kmx - 2014-11-27

    Could you please another DEV release (0.08_03?) with makefile-v2.patch so that I can summarize my conclusion about what is necessary for making *.pd doc available at metacpan.org

     
  • Chris Marshall

    Chris Marshall - 2014-12-16
    • assigned_to: Chris Marshall
    • Group: -->
     
  • Chris Marshall

    Chris Marshall - 2014-12-16

    Applied to git and soon to appear in CHM/PDL-LinearAlgebra-0.08_03.tar.gz on CPAN.

     
  •  kmx

    kmx - 2014-12-25

    Documentation for PDL-LinearAlgebra-0.08_03.tar.gz is rendered fine on both metacpan.org and search.cpan.org. However I would suggest leaving this ticket open till the discussion at pdl-porters list about metacpan.org doc will come to any conclusion (hopefully there will be some conclusion :).

     
  • Chris Marshall

    Chris Marshall - 2015-02-05
    • status: open --> closed
    • assigned_to: Chris Marshall --> kmx
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks